package net;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

import javax.swing.JTextArea;

public class Client implements Runnable {
	private JTextArea area;
	private Socket socket = null;

	public Client(JTextArea area) {
		this.area = area;
	}

	public void startClient() {
		area.append("Connecting to server...\n");
		try {
			socket = new Socket("localhost", 8000);
			area.append("Connected." + System.lineSeparator());
			Thread t = new Thread(this);
			t.start();
		} catch (IOException e) {
			area.append("Connection error: " + e.getMessage() + System.lineSeparator());
		}
	}

	public void sendMessage(String text) {
		if (socket == null)
			return;
		try {
			BufferedOutputStream bOut = new BufferedOutputStream(socket.getOutputStream());
			PrintWriter out = new PrintWriter(bOut, true);
			out.println(text);			
		} catch (IOException e) {
			area.append("Connection error: " + e.getMessage() + System.lineSeparator());
		}

	}

	@Override
	public void run() {
		try {
			if (socket == null)
				return;
			BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
			while (true) {
				if (in.ready()) {
					area.append("Server wrote: " + in.readLine() + System.lineSeparator());
				}
			}
		} catch (IOException e) {
			area.append("Connection error: " + e.getMessage() + System.lineSeparator());
		}
	}
}
