package net;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

import javax.swing.JTextArea;

public class MessagesHandler implements Runnable {

	private Socket socket;
	private JTextArea area;

	public MessagesHandler(Socket socket, JTextArea area) {
		this.socket = socket;
		this.area = area;
	}

	@Override
	public void run() {
		try {
			BufferedOutputStream bOut = new BufferedOutputStream(socket.getOutputStream());									
			PrintWriter out = new PrintWriter(bOut, true);
			out.println("Hi client!");			
			
			BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));			
			while (true) {				
				if (in.ready()) {
					area.append("Client wrote: " + in.readLine() + System.lineSeparator());
				}				
			}
		} catch (IOException e) {
			area.append("Connection error: " + e.getMessage() + System.lineSeparator());
			return;
		}
	}
}
