package net;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

import javax.swing.JTextArea;

public class Server implements Runnable {

	private ServerSocket server;
	private JTextArea area;
	
	public Server(JTextArea area) {
		this.area = area;		
	}
	
	public void startServer() {
		try {
			server = new ServerSocket(8000);
			Thread t = new Thread(this);
			t.start();
		} catch (IOException e) {
			area.append("Error while starting the server: " + e.getMessage() + System.lineSeparator());
		}		
	}	
	
	@Override
	public void run() {
		while(true) {
			try {
				area.append("Waiting for new connections..." + System.lineSeparator());
				Socket socket = server.accept();
				area.append("Client Connected." + System.lineSeparator());
				MessagesHandler handler = new MessagesHandler(socket, area);
				Thread t = new Thread(handler);
				t.start();
			} catch (IOException e) {
				area.append("Connection error: " + e.getMessage() + System.lineSeparator());
				return;
			}
		}
	}
}
